# encoding : UTF-8 
#
# gsf-base-docs.rb - Base des documents XML
#
# Edouard.Thiel@lif.univ-mrs.fr - 10/10/2011
#
# This program is free software under the terms of the
# GNU Lesser General Public License (LGPL) version 2.1.


require './gsf-doc-xml'


class BaseDocs

  # Accesseurs
  #
  attr_accessor :x_par, :x_sem, :x_ues, :x_pages, :x_div, :x_cat, :x_ens, :x_resp


  # Initialisation
  #
  def initialize
    @x_par   = DocXml.new
    @x_sem   = DocXml.new
    @x_ues   = DocXml.new
    @x_pages = DocXml.new
    @x_div   = DocXml.new
    @x_cat   = DocXml.new
    @x_ens   = DocXml.new
    @x_resp  = DocXml.new
  end

end  # Fin de classe

